Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# file.c File Reference

`#include <lib3ds/file.h>`
`#include <lib3ds/chunk.h>`
`#include <lib3ds/io.h>`
`#include <lib3ds/material.h>`
`#include <lib3ds/mesh.h>`
`#include <lib3ds/camera.h>`
`#include <lib3ds/light.h>`
`#include <lib3ds/node.h>`
`#include <lib3ds/vector.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`

Include dependency graph for file.c:

## Defines
#define | LIB3DS_EXPORT
## Functions
Lib3dsBool | fileio_error_func (void *self)
long | fileio_seek_func (void *self, long offset, Lib3dsIoSeek origin)
long | fileio_tell_func (void *self)
int | fileio_read_func (void *self, Lib3dsByte *buffer, int size)
int | fileio_write_func (void *self, const Lib3dsByte *buffer, int size)
Lib3dsFile * | lib3ds_file_load (const char *filename)
Lib3dsBool | lib3ds_file_save (Lib3dsFile *file, const char *filename)
Lib3dsFile * | lib3ds_file_new ()
void | lib3ds_file_free (Lib3dsFile *file)
void | lib3ds_file_eval (Lib3dsFile *file, Lib3dsFloat t)
Lib3dsBool | named_object_read (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | ambient_read (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | mdata_read (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | kfdata_read (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | lib3ds_file_read (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | colorf_write (Lib3dsRgba rgb, Lib3dsIo *io)
Lib3dsBool | mdata_write (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | nodes_write (Lib3dsNode *node, Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | kfdata_write (Lib3dsFile *file, Lib3dsIo *io)
Lib3dsBool | lib3ds_file_write (Lib3dsFile *file, Lib3dsIo *io)
void | lib3ds_file_insert_material (Lib3dsFile *file, Lib3dsMaterial *material)
void | lib3ds_file_remove_material (Lib3dsFile *file, Lib3dsMaterial *material)
Lib3dsMaterial * | lib3ds_file_material_by_name (Lib3dsFile *file, const char *name)
void | lib3ds_file_dump_materials (Lib3dsFile *file)
void | lib3ds_file_insert_mesh (Lib3dsFile *file, Lib3dsMesh *mesh)
void | lib3ds_file_remove_mesh (Lib3dsFile *file, Lib3dsMesh *mesh)
Lib3dsMesh * | lib3ds_file_mesh_by_name (Lib3dsFile *file, const char *name)
void | lib3ds_file_dump_meshes (Lib3dsFile *file)
void | dump_instances (Lib3dsNode *node, const char *parent)
void | lib3ds_file_dump_instances (Lib3dsFile *file)
void | lib3ds_file_insert_camera (Lib3dsFile *file, Lib3dsCamera *camera)
void | lib3ds_file_remove_camera (Lib3dsFile *file, Lib3dsCamera *camera)
Lib3dsCamera * | lib3ds_file_camera_by_name (Lib3dsFile *file, const char *name)
void | lib3ds_file_dump_cameras (Lib3dsFile *file)
void | lib3ds_file_insert_light (Lib3dsFile *file, Lib3dsLight *light)
void | lib3ds_file_remove_light (Lib3dsFile *file, Lib3dsLight *light)
Lib3dsLight * | lib3ds_file_light_by_name (Lib3dsFile *file, const char *name)
void | lib3ds_file_dump_lights (Lib3dsFile *file)
void | lib3ds_file_bounding_box (Lib3dsFile *file, Lib3dsVector min, Lib3dsVector max)
Lib3dsNode * | lib3ds_file_node_by_name (Lib3dsFile *file, const char *name, Lib3dsNodeTypes type)
Lib3dsNode * | lib3ds_file_node_by_id (Lib3dsFile *file, Lib3dsWord node_id)
void | lib3ds_file_insert_node (Lib3dsFile *file, Lib3dsNode *node)
Lib3dsBool | lib3ds_file_remove_node (Lib3dsFile *file, Lib3dsNode *node)
void | lib3ds_file_dump_nodes (Lib3dsFile *file)

## Define Documentation

#define LIB3DS_EXPORT

## Function Documentation

Lib3dsBool ambient_read | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool colorf_write | ( | Lib3dsRgba | rgb,
|  | Lib3dsIo * | io
| ) | `[static]`

void dump_instances | ( | Lib3dsNode * | node,
|  | const char * | parent
| ) | `[static]`

Lib3dsBool fileio_error_func | ( | void * | self | ) | `[static]`

int fileio_read_func | ( | void * | self,
|  | Lib3dsByte * | buffer,
|  | int | size
| ) | `[static]`

long fileio_seek_func | ( | void * | self,
|  | long | offset,
|  | Lib3dsIoSeek | origin
| ) | `[static]`

long fileio_tell_func | ( | void * | self | ) | `[static]`

int fileio_write_func | ( | void * | self,
|  | const Lib3dsByte * | buffer,
|  | int | size
| ) | `[static]`

Lib3dsBool kfdata_read | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool kfdata_write | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool mdata_read | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool mdata_write | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool named_object_read | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`

Lib3dsBool nodes_write | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) | `[static]`